Package org.globus.gsi.stores

# Class CertKeyCredential

java.lang.Object
org.globus.gsi.stores.CertKeyCredential

All Implemented Interfaces:
  `CredentialWrapper`, `SecurityObjectWrapper<X509Credential>`, `Storable`

public class CertKeyCredential extends Object implements SecurityObjectWrapper<X509Credential>, Storable, CredentialWrapper
Fill Me

## Field Summary

Fields
Modifier and Type
Field
Description
`protected GlobusResource`
`globusCertFile`
`protected GlobusResource`
`globusKeyFile`

## Constructor Summary

Constructors
Constructor
Description
`CertKeyCredential(GlobusResource certResource, GlobusResource keyResource)`
`CertKeyCredential(GlobusResource certResource, GlobusResource keyResource, X509Credential credential)`

## Method Summary

Modifier and Type
Method
Description
`protected X509Credential`
`createObject(GlobusResource certSource, GlobusResource keySource)`
`String`
`getAlias()`
`GlobusResource`
`getCertificateFile()`
`X509Credential`
`getCredential()`
`GlobusResource`
`getKeyFile()`
`X509Credential`
`getSecurityObject()`
`boolean`
`hasChanged()`
`protected void`
`init(GlobusResource initCertResource, GlobusResource initKeyResource)`
`protected void`
`init(GlobusResource initCertFile, GlobusResource keyResource, X509Credential initCredential)`
`void`
`refresh()`
`void`
`store()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### globusCertFile

protected GlobusResource globusCertFile

### globusKeyFile

protected GlobusResource globusKeyFile

## Constructor Details

### CertKeyCredential

public CertKeyCredential(GlobusResource certResource, GlobusResource keyResource) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### CertKeyCredential

public CertKeyCredential(GlobusResource certResource, GlobusResource keyResource, X509Credential credential) throws ResourceStoreException

Throws:
  `ResourceStoreException`

## Method Details

### init

protected void init(GlobusResource initCertResource, GlobusResource initKeyResource) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### init

protected void init(GlobusResource initCertFile, GlobusResource keyResource, X509Credential initCredential) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### refresh

public void refresh() throws ResourceStoreException

Specified by:
  `refresh` in interface `SecurityObjectWrapper<X509Credential>`
Throws:
  `ResourceStoreException`

### getCertificateFile

public GlobusResource getCertificateFile()

### getKeyFile

public GlobusResource getKeyFile()

### createObject

protected X509Credential createObject(GlobusResource certSource, GlobusResource keySource) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### getSecurityObject

public X509Credential getSecurityObject() throws ResourceStoreException

Specified by:
  `getSecurityObject` in interface `SecurityObjectWrapper<X509Credential>`
Throws:
  `ResourceStoreException`

### hasChanged

public boolean hasChanged()

Specified by:
  `hasChanged` in interface `SecurityObjectWrapper<X509Credential>`

### getCredential

public X509Credential getCredential() throws ResourceStoreException

Specified by:
  `getCredential` in interface `CredentialWrapper`
Throws:
  `ResourceStoreException`

### store

public void store() throws ResourceStoreException

Specified by:
  `store` in interface `Storable`
Throws:
  `ResourceStoreException`

### getAlias

public String getAlias()

Specified by:
  `getAlias` in interface `SecurityObjectWrapper<X509Credential>`